<script lang="ts">
	import Header from "@/components/Header.svelte";
</script>

<Header />

<main>
	<slot />
</main>

<style lang="scss">
	@use "theme.scss";

	:global(*) {
		margin: 0;
		padding: 0;
		border: 0;
	}
	:global(body) {
		height: 100vh;
		background-color: theme.$background;
		color: theme.$main-text;
		font-family: theme.$font;
	}
	:global(.app) {
		display: flex;
		flex-direction: column;
		height: 100%;
	}
	:global(.material-icons) {
		font-size: 18px;
	}
	:global(::-webkit-scrollbar) {
		width: 8px;
	}

	:global(::-webkit-scrollbar-thumb) {
		border-radius: 5px;
		background-color: hsla(0, 0%, 20%, 0.3);
	}

	main {
		flex: 1 1 auto;
	}
</style>
